> ## Documentation Index
> Fetch the complete documentation index at: https://libops-renovate-github-com-libops-sitectl-0-x.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Install and Upgrade

> Install or upgrade sitectl with Homebrew, native Linux packages, or direct binaries.

Select a tab below for the core `sitectl` command or one of its plugins to see install and upgrade instructions.
Installing a `sitectl` plugin automatically will install `sitectl` on your machine if using homebrew or linux packages to install.

<Tabs>
  <Tab title="sitectl">
    ## Homebrew

    You can install `sitectl` using Homebrew:

    ```bash theme={null}
    brew tap libops/homebrew https://github.com/libops/homebrew
    brew install libops/homebrew/sitectl
    ```

    To upgrade later:

    ```bash theme={null}
    brew update
    brew upgrade libops/homebrew/sitectl
    ```

    ## Linux Packages

    Releases publish native Linux packages through the libops package repository.

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
      echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list >/dev/null
      sudo apt update
      sudo apt install sitectl
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo tee /etc/yum.repos.d/sitectl.repo >/dev/null <<'EOF'
      [sitectl]
      name=sitectl
      baseurl=https://packages.libops.io/sitectl/rpm
      enabled=1
      gpgcheck=0
      repo_gpgcheck=1
      gpgkey=https://packages.libops.io/sitectl/sitectl-archive-keyring.asc
      EOF

      sudo dnf makecache
      sudo dnf install sitectl
      ```
    </CodeGroup>

    To upgrade later:

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      sudo apt update
      sudo apt install --only-upgrade sitectl
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo dnf upgrade sitectl
      ```
    </CodeGroup>

    ## Binary Install

    You can install `sitectl` by either downloading or building the `sitectl` binary.

    <AccordionGroup>
      <Accordion title="Download" icon="download">
        You can download a binary for your system from [the latest release of sitectl](https://github.com/libops/sitectl/releases/latest).
      </Accordion>

      <Accordion title="Build" icon="screwdriver-wrench">
        Requires `go` and `make`

        ```bash theme={null}
        git clone https://github.com/libops/sitectl
        cd sitectl
        make build
        ./sitectl --help
        ```
      </Accordion>
    </AccordionGroup>

    To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your `$PATH`.

    Once `sitectl` is on your system, put the binary in a directory that is in your `$PATH`.
  </Tab>

  <Tab title="sitectl-drupal">
    ## Homebrew

    You can install `sitectl-drupal` using Homebrew:

    ```bash theme={null}
    brew tap libops/homebrew https://github.com/libops/homebrew
    brew install libops/homebrew/sitectl-drupal
    ```

    Homebrew will also install `sitectl` as a dependency.

    To upgrade later:

    ```bash theme={null}
    brew update
    brew upgrade libops/homebrew/sitectl-drupal
    ```

    ## Linux Packages

    Releases publish native Linux packages through the libops package repository.

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
      echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list >/dev/null
      sudo apt update
      sudo apt install sitectl-drupal
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo tee /etc/yum.repos.d/sitectl.repo >/dev/null <<'EOF'
      [sitectl]
      name=sitectl
      baseurl=https://packages.libops.io/sitectl/rpm
      enabled=1
      gpgcheck=0
      repo_gpgcheck=1
      gpgkey=https://packages.libops.io/sitectl/sitectl-archive-keyring.asc
      EOF

      sudo dnf makecache
      sudo dnf install sitectl-drupal
      ```
    </CodeGroup>

    The package manager will also install `sitectl` as a dependency.

    To upgrade later:

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      sudo apt update
      sudo apt install --only-upgrade sitectl-drupal
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo dnf upgrade sitectl-drupal
      ```
    </CodeGroup>

    ## Binary Install

    You can install `sitectl-drupal` by either downloading or building the `sitectl-drupal` binary.

    You also need the base `sitectl` binary on your system.

    <AccordionGroup>
      <Accordion title="Download" icon="download">
        You can download binaries for your system from [the latest release of sitectl](https://github.com/libops/sitectl/releases/latest) and [the latest release of sitectl-drupal](https://github.com/libops/sitectl-drupal/releases/latest).
      </Accordion>

      <Accordion title="Build" icon="screwdriver-wrench">
        Requires `go` and `make`

        ```bash theme={null}
        git clone https://github.com/libops/sitectl-drupal
        cd sitectl-drupal
        make build
        ./sitectl-drupal --help
        ```
      </Accordion>
    </AccordionGroup>

    To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your `$PATH`.

    Once `sitectl-drupal` is on your system, put the binary in a directory that is in your `$PATH`.
  </Tab>

  <Tab title="sitectl-isle">
    ## Homebrew

    You can install `sitectl-isle` using Homebrew:

    ```bash theme={null}
    brew tap libops/homebrew https://github.com/libops/homebrew
    brew install libops/homebrew/sitectl-isle
    ```

    Homebrew will also install `sitectl` and `sitectl-drupal` as dependencies.

    To upgrade later:

    ```bash theme={null}
    brew update
    brew upgrade libops/homebrew/sitectl-isle
    ```

    ## Linux Packages

    Releases publish native Linux packages through the libops package repository.

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
      echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list >/dev/null
      sudo apt update
      sudo apt install sitectl-isle
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo tee /etc/yum.repos.d/sitectl.repo >/dev/null <<'EOF'
      [sitectl]
      name=sitectl
      baseurl=https://packages.libops.io/sitectl/rpm
      enabled=1
      gpgcheck=0
      repo_gpgcheck=1
      gpgkey=https://packages.libops.io/sitectl/sitectl-archive-keyring.asc
      EOF

      sudo dnf makecache
      sudo dnf install sitectl-isle
      ```
    </CodeGroup>

    The package manager will also install `sitectl` and `sitectl-drupal` as dependencies.

    To upgrade later:

    <CodeGroup>
      ```bash Debian / Ubuntu theme={null}
      sudo apt update
      sudo apt install --only-upgrade sitectl-isle
      ```

      ```bash Fedora / Rocky / RHEL theme={null}
      sudo dnf upgrade sitectl-isle
      ```
    </CodeGroup>

    ## Binary Install

    You can install `sitectl-isle` by either downloading or building the `sitectl-isle` binary.

    You also need the base `sitectl` binary on your system.

    <AccordionGroup>
      <Accordion title="Download" icon="download">
        You can download binaries for your system from [the latest release of sitectl](https://github.com/libops/sitectl/releases/latest) and [the latest release of sitectl-isle](https://github.com/libops/sitectl-isle/releases/latest).
      </Accordion>

      <Accordion title="Build" icon="screwdriver-wrench">
        Requires `go` and `make`

        ```bash theme={null}
        git clone https://github.com/libops/sitectl-isle
        cd sitectl-isle
        make build
        ./sitectl-isle --help
        ```
      </Accordion>
    </AccordionGroup>

    To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your `$PATH`.

    Once `sitectl-isle` is on your system, put the binary in a directory that is in your `$PATH`.
  </Tab>
</Tabs>
